=== debian/changelog ===
multipath-tools (0.11.1-3ubuntu2) questing; urgency=medium

  * d/initramfs/scripts/init-top: ensure the bindings file exists before
    calling multipathd -B in the initramfs. This prevents multipathd -B from
    failing and exiting immediately (LP: #2120444).

 -- Olivier Gayot <olivier.gayot@canonical.com>  Tue, 12 Aug 2025 14:36:47 +0200

multipath-tools (0.11.1-3ubuntu1) questing; urgency=medium

  * Merge with Debian experimental (LP: #2117378). Remaining changes:
    - d/rules: no binary package multipath-tools on i386; only kpartx.
    - d/p/enable-find-multipaths.patch: re-enable find_multipaths by
      default -- see the removed 'add_find-multipaths.patch' (LP 1463046)
    - d/t/initramfs: determine extracted main cpio path dynamically
    - d/NEWS: add removal of kpartx-boot package
    - d/rules: remove -Bsymbolic-functions from LDFLAGS
    - d/rules: install friendly names multipath.conf by default
    - d/initramfs: fix multipathd process lingering when local-* initramfs
      scripts are not executed. The multipathd process is started by a script
      in init-top/ (which is executed unconditionally) so it should be
      stopped by an init-bottom script, not a local-bottom script which is
      not always executed (LP #2080474).
      + This is affecting the Ubuntu installer, where we execute (perhaps
        accidentally) the nfs-* scripts instead of the local-* scripts.

 -- Jonas Jelten <jonas.jelten@canonical.com>  Tue, 05 Aug 2025 16:59:52 +0200

multipath-tools (0.11.1-3) experimental; urgency=medium

  * [707b59b] Split off libraries, install dev files.
    Only libmpathcmd, libmpathpersist, libmpathvalid are stable libraries.
    Unfortunately we have to install libmultipath.so into libmultipath-dev
    so qemu-pr-helper will be able to link libmpathpersist.
    See Launchpad bug #2117378 and
    http://github.com/opensvc/multipath-tools/issues/118 for discussion.
    (Closes: #1005323)

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 31 Jul 2025 18:45:31 +0200

multipath-tools (0.11.1-2ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2110438). Remaining changes:
    - d/rules: don't build the multipath-tools binary package on i386; only kpartx.
    - d/p/enable-find-multipaths.patch: re-enable find_multipaths by
      default -- see the removed 'add_find-multipaths.patch' (LP 1463046)
    - d/t/initramfs: determine extracted main cpio path dynamically
    - d/NEWS: add removal of kpartx-boot package
    - d/rules: remove -Bsymbolic-functions from LDFLAGS
    - d/rules: install friendly names multipath.conf by default
  * Drop changes:
    - d/t/tgtbasedmpaths: allow rc of 3 for socket (LP #2078888)
      [included in 0.11.1-2]
    - dmsetup version restriction lift
      + Revert dmsetup downgrade (LP #2073622)
      + d/control: allow older dmsetup
      [cancel each other out]
    - d/t/{control,initramfs}: fix initramfs dep8 test
      [merged with "determine extracted main cpio path dynamically"]
  [ Olivier Gayot ]
  * d/initramfs: fix multipathd process lingering when local-* initramfs
    scripts are not executed. The multipathd process is started by a script in
    init-top/ (which is executed unconditionally) so it should be
    stopped by an init-bottom script, not a local-bottom script which is
    not always executed (LP: #2080474).
    - This is affecting the Ubuntu installer, where we execute (perhaps
      accidentally) the nfs-* scripts instead of the local-* scripts.

 -- Jonas Jelten <jonas.jelten@canonical.com>  Wed, 23 Jul 2025 12:06:34 +0200

multipath-tools (0.11.1-2) unstable; urgency=medium

  [ Fabian Grünbichler ]
  * [3e795aa] build: properly split -arch and -indep builds

  [ mitchdz ]
  * [7322e89] d/t/tgtbasedmpaths: allow rc of 3 for socket

  [ Chris Hofstaedtler ]
  * [9c54e80] Install grep, pidof into the initramfs.
    Thanks to Jarl Gullberg <jarl.gullberg@gmail.com> (Closes: #1104259)

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 01 May 2025 21:45:28 +0200

multipath-tools (0.11.1-1) unstable; urgency=medium

  * [ed5f513] New upstream version 0.11.1
  * [b9fd90c] tests: allow multipathd.socket to be inactive
  * [bbfe6bb] add myself to uploaders

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Mon, 17 Feb 2025 16:40:48 +0100

multipath-tools (0.10.0-1) experimental; urgency=medium

  [ Fabian Grünbichler ]
  * [bde2c42] New upstream version 0.10.0
  * [705138c] rebase patches for 0.10.0
  * [43cefdf] cherry-pick regression fix from upstream 0.11 draft

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 26 Dec 2024 15:16:06 +0100

multipath-tools (0.9.9-1ubuntu4) plucky; urgency=medium

  * debian/tests/initramfs: determine extracted main cpio path dynamically

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 30 Jan 2025 19:48:38 +0100

multipath-tools (0.9.9-1ubuntu3) oracular; urgency=medium

  * d/t/tgtbasedmpaths: allow return code of 3 for socket (LP: #2078888).
    A new line was added to tgtbasedmpaths test to check the status of the
    socket. One some architectures, the socket is inactive, which is fine to
    be in as long as the rest of the test passes. This allows a return code
    of either 0 or 3 from systemctl when checking the socket.

 -- Mitchell Dzurick <mitchell.dzurick@canonical.com>  Tue, 03 Sep 2024 20:28:27 -0700

multipath-tools (0.9.9-1ubuntu2) oracular; urgency=medium

  * Revert dmsetup downgrade (LP: #2073622).
    - d/control: require dmsetup (>= 2:1.02.196-1~)
    - remove d/p/0002-11-dm-mpath.in-fix-DM_UDEV_RULES_VSN-check.patch
    - This was needed originally due to lvm2 package being older, but due to the
      package upgrade, these changes can be dropped.

 -- Mitchell Dzurick <mitchell.dzurick@canonical.com>  Tue, 23 Jul 2024 06:41:53 -0700

multipath-tools (0.9.9-1ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable (LP: #2068645). Remaining changes:
    - Don't build the multipath-tools binary package on i386; only kpartx.

