=== debian/control ===
Source: multipath-tools
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian DM Multipath Team <team+linux-blocks@tracker.debian.org>
Uploaders:
 Guido Günther <agx@sigxcpu.org>,
 Ritesh Raj Sarraf <rrs@debian.org>,
 Chris Hofstaedtler <zeha@debian.org>,
 Fabian Grünbichler <debian@fabian.gruenbichler.email>,
Build-Depends:
 debhelper-compat (= 13),
Build-Depends-Arch:
 libaio-dev,
 libdevmapper-dev,
 libedit-dev,
 libmount-dev,
 libjson-c-dev,
 libsystemd-dev,
 libudev-dev,
 liburcu-dev,
 pkgconf,
 systemd-dev,
Vcs-Git: https://salsa.debian.org/linux-blocks-team/multipath-tools.git
Vcs-Browser: https://salsa.debian.org/linux-blocks-team/multipath-tools
Standards-Version: 3.9.8
Homepage: http://christophe.varoqui.free.fr/
Rules-Requires-Root: no

Package: multipath-tools
Architecture: linux-any
Depends:
 kpartx (>= ${binary:Version}),
 sg3-utils-udev,
 udev,
# need systemd >= 245 for modprobe@dm_multipath.service
 systemd (>= 245~),
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Suggests:
 multipath-tools-boot,
Description: maintain multipath block device access
 These tools are in charge of maintaining the disk multipath device maps and
 react to path and map events.
 .
 If you install this package you may have to change the way you address block
 devices. See README.Debian for details.

Package: kpartx
Architecture: linux-any
Depends:
# need dmsetup >= 2:1.02.196-1 to get non-broken DM_UDEV_RULES_VSN in their udev rules
 dmsetup (>= 2:1.02.196-1~),
 udev,
 ${misc:Depends},
 ${shlibs:Depends},
Description: create device mappings for partitions
 Kpartx can be used to set up device mappings for the partitions of any
 partitioned block device.
 .
 It is part of the Linux multipath-tools, but is useful on any
 device-mapper using system.

Package: multipath-tools-boot
Architecture: all
Depends:
 initramfs-tools | linux-initramfs-tool,
 multipath-tools (<< ${source:Version}.1~),
 multipath-tools (>= ${source:Version}),
 ${misc:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: Support booting from multipath devices
 This package contains the necessary support for booting from a multipath
 device:
 .
  * copy over multipath.conf and persistent bindings if necessary
  * load the necessary kernel modules
  * detect multipath block devices
 .
 Don't install this package if you're not booting from a multipath device.

Package: multipath-udeb
Package-Type: udeb
Architecture: linux-any
Depends:
 kpartx-udeb,
 multipath-modules,
 ${misc:Depends},
 ${shlibs:Depends},
Section: debian-installer
Description: maintain multipath block device access - udeb package
 This is a udeb, or a microdeb, for the debian-installer.
 .
 These tools are in charge of maintaining the disk multipath device maps and
 react to path and map events.

Package: kpartx-udeb
Package-Type: udeb
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Section: debian-installer
Description: create device mappings for partitions - udeb package
 This is a udeb, or a microdeb, for the debian-installer.
 .
 Kpartx can be used to set up device mappings for the partitions of any
 partitioned block device. It is part of the Linux multipath-tools.

Package: libmultipath0
Architecture: linux-any
Breaks: multipath-tools (<< 0.11.1-3~)
Replaces: multipath-tools (<< 0.11.1-3~)
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Section: libs
Description: multipath-tools internal libraries
 This package contains libraries considered internal to the multipath
 system / daemon.
 No package apart from src:multipath-tools is allowed to use symbols
 from libraries shipped by this package.

Package: libmultipath-dev
Architecture: linux-any
Breaks: multipath-tools (<< 0.11.1-3~)
Replaces: multipath-tools (<< 0.11.1-3~)
Depends:
 libmultipath0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Section: libdevel
Description: multipath-tools internal libraries - development files
 This package contains the link necessary for dynamically linking
 internal libraries of the multipath system.
 No package apart from src:multipath-tools is allowed to use symbols
 from libraries shipped by this package. The only supported use is
 to allow usage of libmpathcmd-dev and libmpathpersist-dev.

Package: libmpathcmd0
Architecture: linux-any
Breaks: multipath-tools (<< 0.11.1-3~)
Replaces: multipath-tools (<< 0.11.1-3~)
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Section: libs
Description: multipath command library
 This is the runtime library for submitting commands to the multipath
 system / daemon.

Package: libmpathcmd-dev
Architecture: linux-any
Breaks: multipath-tools (<< 0.11.1-3~)
Replaces: multipath-tools (<< 0.11.1-3~)
Depends:
 libmpathcmd0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Section: libdevel
Description: multipath command library - development files
 This package allows development of applications using the command
 library for the multipath system / daemon. It includes headers, libraries
 and links to allow dynamic linking.

Package: libmpathpersist0
Architecture: linux-any
Breaks: multipath-tools (<< 0.11.1-3~)
Replaces: multipath-tools (<< 0.11.1-3~)
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Section: libs
Description: multipath persist library
 This is the runtime library for managing SCSI persistent reservations
 on multipath devices.

Package: libmpathpersist-dev
Architecture: linux-any
Breaks: multipath-tools (<< 0.11.1-3~)
Replaces: multipath-tools (<< 0.11.1-3~)
Depends:
 libmpathpersist0 (= ${binary:Version}),
 libmultipath-dev (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Section: libdevel
Description: multipath persist library - development files
 This package allows development of applications using the persistent
 reservation library for multipath devices. It includes headers, libraries
 and links to allow dynamic linking.

Package: libmpathvalid0
Architecture: linux-any
Breaks: multipath-tools (<< 0.11.1-3~)
Replaces: multipath-tools (<< 0.11.1-3~)
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Section: libs
Description: multipath valid library
 This is the runtime library for checking devices if they are managed
 by the multipath system.

Package: libmpathvalid-dev
Architecture: linux-any
Breaks: multipath-tools (<< 0.11.1-3~)
Replaces: multipath-tools (<< 0.11.1-3~)
Depends:
 libmpathvalid0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Section: libdevel
Description: multipath valid library - development files
 This package allows development of applications using the validation
 library for multipath devices. It includes headers, libraries
 and links to allow dynamic linking.
