=== debian/changelog ===
multipath-tools (0.12.0-1ubuntu2) resolute; urgency=medium

  * d/{rules,control}: enable testsuite (LP: #2135118)
    - d/p/testsuite-no-lto: disable lto to workaround testsuite symbol wrapping

 -- Jonas Jelten <jonas.jelten@canonical.com>  Fri, 12 Dec 2025 11:59:36 +0100

multipath-tools (0.12.0-1ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2126024). Remaining changes:
    - d/rules: don't build the multipath-tools binary package on i386; only kpartx.
    - d/p/enable-find-multipaths.patch: re-enable find_multipaths by
      default -- see the removed 'add_find-multipaths.patch' (LP #1463046)
    - d/t/initramfs: determine extracted main cpio path dynamically
    - d/NEWS: add removal of kpartx-boot package
    - d/rules: remove -Bsymbolic-functions from LDFLAGS
    - d/rules: install friendly names multipath.conf by default
    - d/initramfs: fix multipathd process lingering when local-* initramfs
      scripts are not executed. The multipathd process is started by a script in
      init-top/ (which is executed unconditionally) so it should be
      stopped by an init-bottom script, not a local-bottom script which is
      not always executed (LP #2080474).
      + This is affecting the Ubuntu installer, where we execute (perhaps
        accidentally) the nfs-* scripts instead of the local-* scripts.
    - d/initramfs/scripts/init-top: ensure the bindings file exists before
      calling multipathd -B in the initramfs. This prevents multipathd -B from
      failing and exiting immediately (LP #2120444).

 -- Jonas Jelten <jonas.jelten@canonical.com>  Mon, 01 Dec 2025 16:41:43 +0100

multipath-tools (0.12.0-1) unstable; urgency=medium

  * [faa43cc] New upstream version 0.12.0
  * [6be5e93] Refresh patches
  * [9e3a45d] Install multipathd-queueing.service

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 14 Sep 2025 19:44:45 +0200

multipath-tools (0.11.1-4) unstable; urgency=medium

  * Upload to unstable

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 12 Aug 2025 11:33:45 +0200
