=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
  debhelper-compat (= 13),
 Build-Depends-Arch:
  libaio-dev,
+ libcmocka-dev,
  libdevmapper-dev,
  libedit-dev,
  libmount-dev,
