=== debian/rules ===
--- 
+++ 
@@ -47,6 +47,8 @@
 		SYSTEMD= EXTRACFLAGS="-static-libgcc"
 
 override_dh_auto_test:
+	dh_auto_test --sourcedirectory=debian/build-deb
+	dh_auto_test --sourcedirectory=debian/build-udeb
 
 override_dh_auto_install-arch:
 	dh_auto_install --sourcedirectory=debian/build-deb -- DESTDIR=$(CURDIR)/debian/tmp/deb
@@ -76,7 +78,7 @@
 	dh_bugfiles -A -pmultipath-tools -pmultipath-tools-boot
 
 override_dh_installsystemd:
-	dh_installsystemd -pmultipath-tools multipathd.service \
+	dh_installsystemd -pmultipath-tools multipathd.service multipathd-queueing.service \
 		--no-stop-on-upgrade
 
 override_dh_makeshlibs:
