## multipath-tools 0.13.0

=== debian/changelog ===
multipath-tools (0.13.0-1) unstable; urgency=medium

  * [c8842fd] New upstream version 0.13.0
  * [6951eae] d/rules: enable verbose upstream build
  * [3d82dad] initramfs: stop multipathd in init-bottom, not local-bottom.
    Ubuntu noticed that local-* scripts are not executed on systems with
    disks on network. (LP: #2080474)
  * [fc4b508] d/t/control: add linux-image-generic for Ubuntu
  * [1df3a76] d/libmpathpersist0.symbols: tighten internal symbols
  * [6aff684] initramfs: stop requesting old dmsetup_env hack

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 20 Dec 2025 14:16:27 +0100
