=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,7 @@
 #!/usr/bin/make -f
-
-ifeq ($(shell dpkg-architecture -qDEB_HOST_ARCH),i386)
-	skip_packages = -Nmultipath-tools
-endif
 
 # For Hardening
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_STRIP=-Wl,-Bsymbolic-functions
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 include /usr/share/dpkg/pkg-info.mk
@@ -23,6 +18,7 @@
 	dh $@
 
 execute_before_dh_clean:
+	rm -f debian/libmpathpersist0.symbols
 	for treename in $(TREENAMES); do \
 		rm -rf debian/$$treename ;\
 	done
@@ -41,21 +37,16 @@
 override_dh_auto_build-indep:
 
 override_dh_auto_build-arch:
-	dh_auto_build --sourcedirectory=debian/build-deb
+	dh_auto_build --sourcedirectory=debian/build-deb -- V=1
 	# multipath-udeb: build separately; don't reference dynamic libgcc at runtime (#779579); disable systemd
-	dh_auto_build --sourcedirectory=debian/build-udeb -- \
+	dh_auto_build --sourcedirectory=debian/build-udeb -- V=1 \
 		SYSTEMD= EXTRACFLAGS="-static-libgcc"
 
 override_dh_auto_test:
-	dh_auto_test --sourcedirectory=debian/build-deb
-	dh_auto_test --sourcedirectory=debian/build-udeb
 
 override_dh_auto_install-arch:
 	dh_auto_install --sourcedirectory=debian/build-deb -- DESTDIR=$(CURDIR)/debian/tmp/deb
 	dh_auto_install --sourcedirectory=debian/build-udeb -- DESTDIR=$(CURDIR)/debian/tmp/udeb
-
-	mkdir -p $(CURDIR)/debian/tmp/deb/etc
-	cp debian/multipath.conf $(CURDIR)/debian/tmp/deb/etc
 
 	# udebs dont get manpages
 	rm -rf $(CURDIR)/debian/tmp/udeb/usr/share/man
@@ -81,12 +72,9 @@
 	dh_installsystemd -pmultipath-tools multipathd.service multipathd-queueing.service \
 		--no-stop-on-upgrade
 
-override_dh_makeshlibs:
-	dh_makeshlibs -a --add-udeb=multipath-udeb
+debian/libmpathpersist0.symbols: debian/libmpathpersist0.symbols.in
+	sed -e 's/$${DEB_VERSION}/${DEB_VERSION}/g' \
+		< $< > $@
 
-override_dh_builddeb:
-	dh_builddeb ${skip_packages}
-
-override_dh_gencontrol:
-	dh_gencontrol ${skip_packages}
-
+override_dh_makeshlibs: debian/libmpathpersist0.symbols
+	dh_makeshlibs -a --add-udeb=multipath-udeb -- -c4
